Bug 854144 - Caught "NoMethodError in ApplicationsController#show" when trying to access jenkins application details page after enabling jenkins.
Caught "NoMethodError in ApplicationsController#show" when trying to access j...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-04 03:41 EDT by Yujie Zhang
Modified: 2015-05-14 21:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 17:28:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Details log. (2.03 KB, text/plain)
2012-09-04 03:42 EDT, Yujie Zhang
no flags Details

  None (edit)
Description Yujie Zhang 2012-09-04 03:41:20 EDT
Description of problem:

After I created an application and enabled the jenkins or created an jenkins application directly, I clicked the jenkins application name on "My Applications" page, and tried to access the jenkins application details page, but I caught "NoMethodError in ApplicationsController#show" error.

Version-Release number of selected component (if applicable):

fork_ami_opensource_console_65

How reproducible:always


Steps to Reproduce:
1.Go to openshift website and login
2.Create an application and enabled the jenkins , or create an jenkins application directly
3.Click the jenkins application name from "My Applications" page
  
Actual results:

Caught "NoMethodError in ApplicationsController#show" error when trying to access jenkins application details page.The detail logs please see in attachment.

Expected results:

The jenkins application details page should be accessible.

Additional info:

This issue just exist on fork_ami_opensource_console_65, does not exist on today's latest build devenv_2109.
Comment 1 Yujie Zhang 2012-09-04 03:42:26 EDT
Created attachment 609571 [details]
Details log.
Comment 2 Clayton Coleman 2012-09-04 13:38:42 EDT
Broker was returning :builds tag for both jenkins and jenkins-client carts, which conflicts with what the console uses.  Updated crankcase in https://github.com/openshift/crankcase/pull/450, updated li in https://github.com/smarterclayton/li/commit/150dc677975e8a9a9450d9ccbd5fbe959a1da532.

Changes should be in fork_ami_opensource_console 66, unless the build breaks.
Comment 3 Yujie Zhang 2012-09-05 02:11:08 EDT
(In reply to comment #2)
Tested this issue on fork_ami_opensource_console_66, it does not exist now, thanks.

Note You need to log in before you can comment on or make changes to this bug.